From: Fam Zheng <famz@redhat.com>
To: Eric Blake <eblake@redhat.com>
Cc: qemu-devel@nongnu.org, "Peter Maydell" <peter.maydell@linaro.org>,
"Philippe Mathieu-Daudé" <f4bug@amsat.org>,
"Kamil Rytarowski" <kamil@netbsd.org>,
stefanha@redhat.com, "Cleber Rosa" <crosa@redhat.com>,
pbonzini@redhat.com, "Alex Bennée" <alex.bennee@linaro.org>
Subject: Re: [Qemu-devel] [PATCH v9 03/13] scripts: Add archive-source.sh
Date: Wed, 20 Sep 2017 10:59:53 +0800 [thread overview]
Message-ID: <20170920025953.GD18491@lemon> (raw)
In-Reply-To: <4ffe9274-996f-8e16-4b79-583e54b17f54@redhat.com>
On Tue, 09/19 10:10, Eric Blake wrote:
> On 09/19/2017 02:27 AM, Fam Zheng wrote:
> > Signed-off-by: Fam Zheng <famz@redhat.com>
> > ---
> > scripts/archive-source.sh | 46 ++++++++++++++++++++++++++++++++++++++++++++++
> > 1 file changed, 46 insertions(+)
> > create mode 100755 scripts/archive-source.sh
> >
> > diff --git a/scripts/archive-source.sh b/scripts/archive-source.sh
> > new file mode 100755
> > index 0000000000..e155d980ee
> > --- /dev/null
> > +++ b/scripts/archive-source.sh
> > @@ -0,0 +1,46 @@
> > +#!/bin/sh
>
> Needs to be /bin/bash...
>
> > + git ls-files || error "git ls-files failed"
> > + for sm in $submodules; do
> > + (cd $sm; git ls-files) | sed "s:^:$sm/:"
> > + if test ${PIPESTATUS[0]} -ne 0 -o $? -ne 0; then
> > + error "git ls-files in submodule $sm failed"
>
> ...because $PIPESTATUS is a useful bashism not present in dash, where
> the alternative is MUCH more verbose and painful to write in portable shell.
>
> With just that fixed,
> Reviewed-by: Eric Blake <eblake@redhat.com>
>
> If desired, one other change (not mandatory, but if you want to do it,
> I'll want to re-review):
>
> > +
> > +tar -cf "$1" -T "$1".list || error "failed to create tar file"
>
> If we exit here, $1.list is not removed...
>
> > +rm "$1".list
>
> Should we make removal of the list be controlled by a cleanup trap, to
> always happen even if something else fails in the interim? Or is
> leaving it around on failure useful for debugging?
Better to cleaned up. Will revise.
Fam
next prev parent reply other threads:[~2017-09-20 3:00 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-19 7:27 [Qemu-devel] [PATCH v9 00/13] tests: Add VM based build tests (for non-x86_64 and/or non-Linux) Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 01/13] gitignore: Ignore vm test images Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 02/13] qemu.py: Add "wait()" method Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 03/13] scripts: Add archive-source.sh Fam Zheng
2017-09-19 15:07 ` Alex Bennée
2017-09-19 15:10 ` Eric Blake
2017-09-20 2:59 ` Fam Zheng [this message]
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 04/13] tests: Add a test key pair Fam Zheng
2017-09-19 15:08 ` Alex Bennée
2017-09-19 15:18 ` Eric Blake
2017-09-20 3:11 ` Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 05/13] tests: Add vm test lib Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 06/13] tests: Add ubuntu.i386 image Fam Zheng
2017-09-19 15:12 ` Alex Bennée
2017-09-20 2:53 ` Fam Zheng
2017-09-20 9:35 ` Alex Bennée
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 07/13] tests: Add FreeBSD image Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 08/13] tests: Add NetBSD image Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 09/13] tests: Add OpenBSD image Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 10/13] Makefile: Add rules to run vm tests Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 11/13] MAINTAINERS: Add tests/vm entry Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 12/13] tests: Add README for vm tests Fam Zheng
2017-09-19 7:27 ` [Qemu-devel] [PATCH v9 13/13] docker: Use archive-source.py Fam Zheng
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20170920025953.GD18491@lemon \
--to=famz@redhat.com \
--cc=alex.bennee@linaro.org \
--cc=crosa@redhat.com \
--cc=eblake@redhat.com \
--cc=f4bug@amsat.org \
--cc=kamil@netbsd.org \
--cc=pbonzini@redhat.com \
--cc=peter.maydell@linaro.org \
--cc=qemu-devel@nongnu.org \
--cc=stefanha@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.